Subject: bug#36161: 27.0.50; display-buffer-in-previous-window might choose not to use PREVIOUS-WINDOW

From: martin rudalics <[email-masked]>
Date: Sun, 16 Jun 2019 10:16:39 +0200

>  > Hence it's more suitable for buffers popping up in special occasions
 >  > (like, for example, when a bug occurred and the debugger should be
 >  > entered) and less suitable for buffer editing.
 >
 > I have also noticed it's not always good for special buffers either, e.g. if I run xref-find-definitions, press q, and run it again, different windows will be used for the two times.

When a different window gets used there's usually a reason.  So I'd
need a recipe to tell you more about this ...

 > So about that main use case (the Debugger), can it just exclude the selected window using inhibit-same-window? That would obviate the need for special logic in this case.

An 'inhibit-same-window' entry is the canonical way to "exclude" the
selected window.  A 'previous-window' entry is just a hint to "prefer"
some other window.

martin